Show / Hide Table of Contents

# Struct Framework

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.System.Framework

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct Framework

### Fields

| Improve this Doc View Source

#### EorzeaTime

##### Declaration

    public long EorzeaTime

##### Field Value

Type | Description
--- | ---
System.Int64 |

| Improve this Doc View Source

#### ExcelModuleInterface

##### Declaration

    public ExcelModuleInterface*ExcelModuleInterface

##### Field Value

Type | Description
--- | ---
ExcelModuleInterface* |

| Improve this Doc View Source

#### ExdModule

##### Declaration

    public ExdModule*ExdModule

##### Field Value

Type | Description
--- | ---
ExdModule* |

| Improve this Doc View Source

#### FrameDeltaTime

##### Declaration

    public float FrameDeltaTime

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### LuaState

##### Declaration

    public LuaState LuaState

##### Field Value

Type | Description
--- | ---
LuaState |

| Improve this Doc View Source

#### ServerTime

##### Declaration

    public long ServerTime

##### Field Value

Type | Description
--- | ---
System.Int64 |

| Improve this Doc View Source

#### SystemConfig

##### Declaration

    public SystemConfig SystemConfig

##### Field Value

Type | Description
--- | ---
SystemConfig |

| Improve this Doc View Source

#### UIModule

##### Declaration

    public UIModule*UIModule

##### Field Value

Type | Description
--- | ---
UIModule* |

### Methods

| Improve this Doc View Source

#### GetServerTime()

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 03 07", IsStatic = true)]
    public static long GetServerTime()

##### Returns

Type | Description
--- | ---
System.Int64 |

| Improve this Doc View Source

#### GetUiModule()

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 80 7B 1D 01")]
    public UIModule*GetUiModule()

##### Returns

Type | Description
--- | ---
UIModule* |

| Improve this Doc View Source

#### Instance()

##### Declaration

    [StaticAddress("44 0F B6 C0 48 8B 0D ? ? ? ?", 0, true)]
    public static Framework*Instance()

##### Returns

Type | Description
--- | ---
Framework* |